LINUX.ORG.RU

firefox flash player


0

0

Не могу понять почему плагин не работает.
Скачал firefox отсюда http://www.mozilla.org/ru/firefox/fx/ Версия 15.0
В архиве сразу были бинарники
Затем скачал adobe flash player отсюда http://get.adobe.com/ru/flashplayer/

Распаковал как было сказано в файле readme.txt
А именно папку ./usr в корень а файл libflashplayer.so в ~/.mozilla/plugins
Кстати в папке ~/.mozilla не было каталога plugins

Перезапустил firefox, зашел на youtube все равно требует плагин.

Далее удалил все файлы которые распаковал и копировал.
Скачал уже rpm пакет.
Конвертировал в deb с помощью alien
Установил
Перезапускаю firefox и захожу на youtube и все равно требует плагин.

В чем тут дело ?

Ядро - 2.6.32-5-amd64
ОС - Debian 6.0.5 - 64 битная


Зачем? Есть же mozilla.debian.net для Firefox'a. А плагин ставится с помощью пакета flashplugin-nonfree.

leonidko ★★★ ()

ты недавно с ведонуса слез, да? слушай первого комментатора, дело говорит

xsektorx ★★★ ()
Ответ на: комментарий от leonidko

Следуя данной инструкции

You need to add the following entry in /etc/apt/sources.list or a new file in /etc/apt/sources.list.d/:

deb http://backports.debian.org/debian-backports squeeze-backports main

deb http://mozilla.debian.net/ squeeze-backports iceweasel-release

You can install it with the following commands:

$ apt-get update $ apt-get install -t squeeze-backports iceweasel

vim /etc/apt/sources.list
Добвал выше указанные строчки
Сохранил
apt-get update выдал ошибку:

W: Ошибка GPG: http://mozilla.debian.net squeeze-backports Release: Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY 85A3D26506C4AE2A

demsi ()
Ответ на: комментарий от demsi
gpg --keyserver wwwkeys.eu.pgp.net --recv-keys 85A3D26506C4AE2A
gpg --armor --export ключ | apt-key add -
apt-get update
kostik87 ★★★★★ ()
Ответ на: комментарий от demsi

И еще вопросик:
команда - apt-cache show iceweasel выдает несколько пакетов:

Package: iceweasel
Architecture: amd64
Version: 3.5.16-14

Package: iceweasel
Version: 3.5.16-17
Architecture: amd64

Package: iceweasel
Architecture: amd64
Version: 10.0.6esr-1~bpo60+1

Package: iceweasel
Version: 15.0-1~bpo60+1
Architecture: amd64

написав apt-get install -t squeeze-backports iceweasel Установилась 10 версия
Как выбрать пакет если название одно и тоже ?

demsi ()
Ответ на: комментарий от kostik87

kostik87 Спасибо буду знать
Но хотелось бы узнать что за gpg и зачем эти ключи ?
Где можно подробно узнать инфу по этому поводу ?

demsi ()
Ответ на: комментарий от demsi

gpg - формат цифровой подписи под лицензией GPL.

gpg - утилита для управления ключами, добавления / удаления.

Выполняя указанные команды вы добавляете открытый ключ в список доверенных ключей.

kostik87 ★★★★★ ()
Ответ на: комментарий от leonidko

Кстати не вижу смысла ставить flashplugin-nonfree
Так как apt-cache show flashplugin-nonfree выдает вот это:

Package: flashplugin-nonfree
Priority: optional
Section: contrib/web
Installed-Size: 132
Maintainer: Bart Martens <bartm@debian.org>
Architecture: amd64
Version: 1:2.8.2
....
То есть версия флеша очень и очень старая. Почему мне надо ставить именно это версию когда на сайте adobe версия 11.2 ?
Может новая версия еще не оптимизирована , но это же не значит что стоит использовать версию настолько старую, хотя бы потому что она может быть не безопасна ( раз уж о безопасности заговорили (: )

demsi ()
Ответ на: комментарий от demsi

Кстати с установкой iceweasel flash с сайта adobe.com успешно заработал.
Остается не ясен тот факт почему же firefox скачанный с офф сайта мозиллы, был глючный и не хотел распознавать flash плагин.
А еще пугает надпись при скачке flash player:

ПРИМЕЧАНИЕ. Adobe Flash Player 11.2 будет последней версией, поддерживающей Linux в качестве платформы. Adobe будет продолжать обеспечивать ретроподдержку безопасности Flash Player 11.2 для Linux. 

demsi ()
Ответ на: комментарий от demsi

А еще не понятно почему при просмотре видео, когда нажимаешь полный экран, видео начинает тормозить
Да ладно с этим видео, так еще проц под 100 % загружается, странная производительность flash plugin под линукс.

demsi ()
Ответ на: комментарий от demsi

Тут такая штука. Никто вместо тебя описания читать не будет. А этот пакет, просто скрипт который скачивает с сайта Адобы плагин и ставит его в нужное место попутно совершая пару телодвижений. Тем самым избавляя тебя от кучи лишних телодвижений.

leonidko ★★★ ()
Ответ на: комментарий от leonidko

Тем не менее проблема не решена. Флеш работает но очень плохо.
В режиме «полный экран» тормоза, и загруженность процессора 100%.

demsi ()
Ответ на: комментарий от demsi

Покопайся в настройках flash'a. Посмотри в есть ли аппаратное ускорение в твоей карточке. А по жизни, это проблемы поделия от Адобы. Они с 64битами не могут до сих пор разобраться. Как вариант, можно заменить связку FF+flash plug-in на Google Chrome, там он встроенный и будет обновляться. Тем более гугловцы сами следят за дырками в плагине.

leonidko ★★★ ()

Flash не нужен! Включаешь на Youtube HTML5 и всё! Можно ещё и Gnash попробовать...

toney ★★★★★ ()
Ответ на: комментарий от toney

HTML5 не все сайты поддерживают, а gnash реализует только flah-player-8.x .

kostik87 ★★★★★ ()
Ответ на: комментарий от kostik87

gnash реализует только flah-player-8.x

Для Youtube этого вполне достаточно

toney ★★★★★ ()

Лучше всего положить в

ls -l /usr/lib/flash-plugin/
total 16700
-rw-r--r-- 1 root root        0 Feb  1  2012 here
-rwxr--r-- 1 root root     1367 Nov 17  2006 homecleanup
-rwxr-xr-x 1 root root 17047372 Feb 28  2012 libflashplayer.so
-rw-r--r-- 1 root root    34516 Dec 13  2006 LICENSE
-rw-r--r-- 1 root root     3089 Feb 28  2012 README
-rwxr--r-- 1 root root     3769 Jul 29  2011 setup
juk4windows ()
Ответ на: комментарий от juk4windows

и обновлять руками каждый раз, да?

//что этот тред делает в linux-install ?

xtraeft ★★☆☆ ()
Ответ на: комментарий от juk4windows

если руками скачаешь и положишь в /usr/lib/flash-plugin/
то не будет

xtraeft ★★☆☆ ()
Ответ на: комментарий от leonidko

связку FF+flash plug-in на Google Chrome, там он встроенный и будет обновляться

Написал что попробую, но забыл сказать что все отлично работает.
С хромом все замечательно, отличный бразуер. Теперь никогда обратно с него не с лезу на оперу файрфокс и мидори.
При просмотре видео с HD качеством проц. больше чем на 30% не грузится.

demsi ()
Ответ на: комментарий от demsi

То есть проблема решена, и в последствии решения стало ясно что в компании adobe программисты ужасны, а так как :

ПРИМЕЧАНИЕ. Adobe Flash Player 11.2 будет последней версией, поддерживающей Linux в качестве платформы. Adobe будет продолжать обеспечивать ретроподдержку безопасности Flash Player 11.2 для Linux.
Adobe Flash Player 11.2 - последняя глючная версия. Про адоб flash player можно забыть.
Из альтернатив есть убогий Gnash.
И встроенная версия флеша в хроме.

demsi ()
Ответ на: комментарий от demsi

Версия, поставляемая с chrome будет обновляться.

Если Mozilla напишут поддержку дополнений chrome в Firefox, то можно будет использовать последнюю версию flash player и в Firefox.

kostik87 ★★★★★ ()
Ответ на: комментарий от demsi

Ну чушь-же! flashplayer-nonfree скачивает с сайта новейший flash.

insfel ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.